<app-candidate-nav></app-candidate-nav>
<div  class="mat-elevation-z8">
    <mat-form-field>
        <mat-label>Add New Skill</mat-label>
        <input matInput [formControl]="newSkill" />
    </mat-form-field><button mat-mini-fab color="primary" (click)="addSkill()">Add</button>
    <div *ngIf="msg">{{msg}}</div>
    <div class="existing-skills">Existing Skills</div>
    <div *ngIf="skills">
        <mat-grid-list cols="5" rowHeight="5:1">
            <mat-grid-tile *ngFor="let skill of skills"><button mat-stroked-button
                    color="warn">{{skill.skillName}}</button></mat-grid-tile>
        </mat-grid-list>
    </div>
</div>